## hotswap 0.4.0

=== kde-frontend/admin/Makefile ===
# Makefile.in generated by automake 1.7.3 from Makefile.am.
# Generated automatically from Makefile.in by config.pl.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.4 $ 
# 

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..
VPATH = .
pkgdatadir = $(datadir)/khotswap
pkglibdir = $(libdir)/khotswap
pkgincludedir = $(includedir)/khotswap
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -p
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/tim/src/hotswap/kde-frontend/admin/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tim/src/hotswap/kde-frontend/admin/missing --run tar
ARTSCCONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/tim/src/hotswap/kde-frontend/admin/missing --run autoconf
AUTODIRS = 
AUTOHEADER = ${SHELL} /home/tim/src/hotswap/kde-frontend/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tim/src/hotswap/kde-frontend/admin/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -ansi -W -Wall -pedantic -Wshadow -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -O2  -march=pentium3 -O2
CONF_FILES =  $(top_srcdir)/configure.in.in
CPP = gcc -E
CPPFLAGS =  -DQT_THREAD_SUPPORT  -D_REENTRANT
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -march=pentium3 -O2 -fno-exceptions -fno-check-new
CYGPATH_W = echo
DCOPIDL = /usr/bin/dcopidl
DCOPIDL2CPP = /usr/bin/dcopidl2cpp
DCOP_DEPENDENCIES = $(DCOPIDL)
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
FRAMEWORK_COREAUDIO = 
GMSGFMT = /usr/bin/msgfmt
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
KDECONFIG = /usr/bin/kde-config
KDE_EXTRA_RPATH = 
KDE_INCLUDES = 
KDE_LDFLAGS = -L/usr/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = -R $(kde_libraries) -R $(x_libraries)
KDE_USE_CLOSURE_FALSE = #
KDE_USE_CLOSURE_TRUE = 
KDE_USE_FINAL_FALSE = 
KDE_USE_FINAL_TRUE = #
KDE_XSL_STYLESHEET = /usr/share/apps/ksgmltools2/customization/kde-chunk.xsl
LDFLAGS = 
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBJPEG = -ljpeg
LIBOBJS = 
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBRESOLV = -lresolv
LIBS = 
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBUTIL = -lutil
LIBXINERAMA = 
LIBZ = -lz
LIB_KAB = -lkab
LIB_KABC = -lkabc
LIB_KDECORE = -lkdecore
LIB_KDEPRINT = -lkdeprint
LIB_KDEUI = -lkdeui
LIB_KFILE = -lkio
LIB_KFM = 
LIB_KHTML = -lkhtml
LIB_KIO = -lkio
LIB_KPARTS = -lkparts
LIB_KSPELL = -lkspell
LIB_KSYCOCA = -lkio
LIB_POLL = 
LIB_QPE = 
LIB_QT = -lqt-mt  $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tim/src/hotswap/kde-frontend/admin/missing --run makeinfo
MCOPIDL = /usr/bin/mcopidl
MEINPROC = /usr/bin/meinproc
MOC = /usr/bin/moc
MSGFMT = /usr/bin/msgfmt
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
NOREPO = -fno-repo
OBJEXT = o
PACKAGE = khotswap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
QTE_NORTTI = 
QT_INCLUDES = -I/usr/include
QT_LDFLAGS = 
RANLIB = ranlib
REPO = -frepo
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TOPSUBDIRS =  doc khotswap pics po
UIC = /usr/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 0.4.0
WOVERLOADED_VIRTUAL = 
XGETTEXT = /usr/bin/xgettext
X_EXTRA_LIBS = 
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
X_PRE_LIBS = 
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
all_includes = -I/usr/include -I/usr/X11R6/include 
all_libraries = -L/usr/X11R6/lib -L/usr/lib 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tim/src/hotswap/kde-frontend/admin/install-sh
kde_appsdir = ${prefix}/share/applnk
kde_bindir = ${exec_prefix}/bin
kde_confdir = ${prefix}/share/config
kde_datadir = ${prefix}/share/apps
kde_htmldir = ${prefix}/share/doc/HTML
kde_icondir = ${prefix}/share/icons
kde_includes = /usr/include
kde_libraries = /usr/lib
kde_libs_htmldir = /usr/share/doc/HTML
kde_libs_prefix = /usr
kde_locale = ${prefix}/share/locale
kde_mimedir = ${prefix}/share/mimelnk
kde_moduledir = ${libdir}/kde3
kde_qtver = 3
kde_servicesdir = ${prefix}/share/services
kde_servicetypesdir = ${prefix}/share/servicetypes
kde_sounddir = ${prefix}/share/sounds
kde_styledir = ${libdir}/kde3/plugins/styles
kde_templatesdir = ${prefix}/share/templates
kde_wallpaperdir = ${prefix}/share/wallpapers
kde_widgetdir = /usr/lib/kde3/plugins/designer
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = /var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
qt_includes = /usr/include
qt_libraries = 
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib
subdir = admin
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DIST_COMMON = ChangeLog Makefile.am Makefile.in compile config.guess \
	config.sub depcomp install-sh ltmain.sh missing mkinstalldirs \
	ylwrap
#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  admin/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  admin/Makefile
	cd $(top_srcdir) && perl admin/am_edit admin/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=configure.in.bot.end cvs-clean.pl detect-autoconf.sh Doxyfile.global configure.in.min acinclude.m4.in libtool.m4.in debianrules cvs.sh config.pl Doxyfile.am conf.change.pl am_edit Makefile.common 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-data-local

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-local

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-data-local install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am uninstall-local

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kapptemplate/admin
	for file in $(srcdir)/*; do \
		if [ -f $$file -a $$file != 'Makefile' -a $$file != 'Makefile.in' -a $$file != 'Makefile.am' ]; then \
			destfile=`basename $$file` \
			$(INSTALL_DATA) $$file \
				$(DESTDIR)$(kde_datadir)/kapptemplate/admin/$$destfile; \
		fi \
	done

uninstall-local:
	-/bin/rm -rf $(DESTDIR)$(kde_datadir)/kapptemplate/admin
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:


#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  admin/Makefile
	cd $(top_srcdir) && perl admin/am_edit admin/Makefile.in


#>+ 2
final:
	$(MAKE) all-am
#>+ 2
final-install:
	$(MAKE) install-am
#>+ 2
no-final:
	$(MAKE) all-am
#>+ 2
no-final-install:
	$(MAKE) install-am

=== debian/changelog ===
hotswap (0.4.0-15build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:28:10 +0000

hotswap (0.4.0-15) unstable; urgency=medium

  * Orphaning package.
  * Changed Maintainer address to QA.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 15 Jul 2015 10:58:23 +0000

hotswap (0.4.0-14) unstable; urgency=low

  * Remove build-depends on libxp-dev. (Closes: #733136)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 27 Dec 2013 10:19:25 +0100

hotswap (0.4.0-13) unstable; urgency=low

  * Update description since we no longer ship the KDE GUI.
    (Closes: #685594)
  * Change Build-Dep on lesstif2-dev to libmotif-dev. (Closes: #714680)
  * Add Build-Deps on libxt-dev, libxext-dev and libxp-dev.
    (Closes: #707621)
  * debian/rules: move to dh (Closes: #292500)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 15 Jul 2013 17:32:44 +0200

hotswap (0.4.0-12) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]

  * Do not build the KDE 3's GUI, removing kde4libs-dev B-D (Closes: #604274).
  * Remove Qt 3 dependency, as it's not needed without kde4libs-dev.
  * Add quilt as B-D for patching the makefiles and allow clean not to fail.
  * Close the split wishlist bug, as it will not apply any further
   (Closes: #428208).
  * Close the innapropiate hdd icon bug as it will not longer apply
   (Closes: #410295).

  [ Alberto Gonzalez Iniesta ]

  * Bumped debian/compat to 8. Changed Build-Dep version for debhelper. Adjust
    debian/rules accordingly.
  * debian/control: Added Homepage
  * debian/control: Added ${misc:Depends} to binary packages Depends
  * debian/control: Changed Conflicts to Breaks to ease upgrade from older
    versions
  * Bumped Standards-Version to 3.9.1
  * debian/copyright: fixed GPL reference to GPL-2
  * debian/hotswap-gui.dirs: Removed khotswap directories

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 11 Mar 2011 09:40:23 +0100

hotswap (0.4.0-11) unstable; urgency=low

  * Clean up a bit, remove lintian errors/warnings
  * Rebuild the package to avoid warnings on _XmStrings Symbol.
    Thanks Laurent Bonnaud for noticing.
  * Bumped Standards-Version to 3.7.3.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 15 Apr 2008 15:21:21 +0200

hotswap (0.4.0-10) unstable; urgency=low

  * Fixed udev race condition. Probe the device for a second time after it is
    inserted. (Closes: #351932). Thanks Javier Fernandez-Sanguino for his
    help.
  * Bumped Standards-Version to 3.7.2.0, no change.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 15 May 2006 07:54:12 +0200

hotswap (0.4.0-9) unstable; urgency=low

  * Added swedish translations for hotswap, xhotswap and khotswap.
    Thanks Daniel Nylander. (Closes: #337156)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 21 Feb 2006 20:58:24 +0100

hotswap (0.4.0-8) unstable; urgency=low

  * Rebuilt package for the Qt/KDE transition
    (Closes: #327966)
  * Bumped Standards-Version to 3.6.2.0, no change.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 13 Sep 2005 14:50:37 +0200

hotswap (0.4.0-7) unstable; urgency=low

  * Changed maintainer address.
  * Rebuild to fix Depends on obsolete xlibmesa3-gl.
  * Added missing quotes in .menu files

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 21 Jan 2005 17:58:48 +0100

hotswap (0.4.0-6) unstable; urgency=low

  * Improved Spanish translation.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Thu, 15 Jan 2004 12:04:41 +0100

hotswap (0.4.0-5) unstable; urgency=low

  * Fixed confusing package description. (Closes: #217251)
  * Included Spanish translation for [kx]?hotswap.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Thu, 23 Oct 2003 16:50:30 +0200

hotswap (0.4.0-4) unstable; urgency=low

  * Make hotswap-text and hotswap-gui conflict with hotswap << 0.4.0
    Thanks Chris Halls for noticing. (Closes: #216680)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Mon, 20 Oct 2003 17:27:36 +0200

hotswap (0.4.0-3) unstable; urgency=low

  * Splitted the package in hotswap-text and hotswap-gui. This way people
    don't have to install KDE to use the command line program.
    Also made a hotswap meta-package that Depends on both -text and -gui
    to allow seamless upgrades. Thanks Andreas Metzler for the tip.
    (Closes: #215502)
  * Moved to debhelper compatability 4. Created debian/compat.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Tue, 14 Oct 2003 14:28:25 +0200

hotswap (0.4.0-2) unstable; urgency=low

  * Forgot a comma in the Build-Depends field.
    Thanks Nathanael Nerode for warning me.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Mon, 13 Oct 2003 09:53:47 +0200

hotswap (0.4.0-1) unstable; urgency=low

  * New upstream version. Includes a new front-end for KDE.
    So there are new Depends and Build-Depends.
  * New maintainer. (Closes: #213893)
  * Bumped Standards-Version to 3.6.1. No change.
  * Added 'Dell' to the package description so it's easier to locate
    by possible users.
  * Corrected menu entry for xhotswap and included one for khotswap.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Fri, 10 Oct 2003 17:51:52 +0200

hotswap (0.3.2-3) unstable; urgency=low

  * Updated copyright of manpages to be GPL instead of FDL, in
    coordination with upstream; Closes: #292958.

 -- Wouter Verhelst <wouter@debian.org>  Mon,  4 Aug 2003 09:46:44 +0200

hotswap (0.3.2-2) unstable; urgency=low

  * Recompile against lesstif2
  * Fixed incorrect assumption about char signedness (closes: #181233)

 -- Wouter Verhelst <wouter@debian.org>  Sun, 15 Jun 2003 16:12:43 +0200

hotswap (0.3.2-1) unstable; urgency=low

  * New upstream release:
    * Support for more devices than just /dev/hdc, through an XML
      configuration file
    * upstream now includes our manpage, drop that from the debian/
      directory.
  * Bumped standards-version.

 -- Wouter Verhelst <wouter@debian.org>  Thu, 23 Jan 2003 23:17:46 +0100



=== debian/control ===
Source: hotswap
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 8.0.0), libmotif-dev, libxml2-dev, gettext, quilt (>= 0.46-7~), libxt-dev, libxext-dev, autotools-dev
Standards-Version: 3.9.4
Homepage: http://timstadelmann.de/hotswap.html

Package: hotswap-text
Architecture: any
Suggests: hotswap-gui
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: hotswap (<< 0.4.0)
Replaces: hotswap (<< 0.4.0)
Description: (de)register hotswappable IDE hardware (command line tool)
 Hotswap is a utility to register and deregister hotswappable IDE
 hardware. It is written to be used on Laptops with some sort of
 hardware bay to remove the module from the machine without rebooting
 it. eg. Dell Laptops.
 .
 Note that this utility is not required to insert or remove batteries
 or floppy disk drives; only for IDE devices.
 .
 This package includes the command line tool.

Package: hotswap-gui
Architecture: any
Depends: ${shlibs:Depends}, hotswap-text, ${misc:Depends}
Breaks: hotswap (<< 0.4.0)
Replaces: hotswap (<< 0.4.0)
Description: (de)register hotswappable IDE hardware (GUI front-end)
 Hotswap is a utility to register and deregister hotswappable IDE
 hardware. It is written to be used on Laptops with some sort of
 hardware bay to remove the module from the machine without rebooting
 it. eg. Dell Laptops.
 .
 Note that this utility is not required to insert or remove batteries
 or floppy disk drives; only for IDE devices.
 .
 This package includes the Motif front-end to the command line tool.

Package: hotswap
Architecture: all
Depends: hotswap-text, hotswap-gui, ${misc:Depends}
Description: (de)register hotswappable IDE hardware
 Hotswap is a utility to register and deregister hotswappable IDE
 hardware. It is written to be used on Laptops with some sort of
 hardware bay to remove the module from the machine without rebooting
 it. eg. Dell Laptops.
 .
 Note that this utility is not required to insert or remove batteries
 or floppy disk drives; only for IDE devices.
 .
 This is a metapackage that Depends on both the command line tool 
 and the graphical front-end to allow seamless upgrades.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) --enable-password-save --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-kde-frontend

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -name '*.gmo' -exec rm -f {} \;
	rm -f Makefile config.h config.log config.status stamp-h1
